### A free/open-source library for quantitative finance

Public Member Functions
SVDDFwdRatePc Class Reference

`#include <ql/models/marketmodels/evolvers/svddfwdratepc.hpp>`

Inheritance diagram for SVDDFwdRatePc:
[legend]

List of all members.

## Public Member Functions

| SVDDFwdRatePc (const boost::shared_ptr< MarketModel > &, const BrownianGeneratorFactory &, const boost::shared_ptr< MarketModelVolProcess > &volProcess, Size firstVolatilityFactor, Size volatilityFactorStep, const std::vector< Size > &numeraires, Size initialStep=0)
MarketModel interface
const std::vector< Size > & | numeraires () const
Real | startNewPath ()
Real | advanceStep ()
Size | currentStep () const
const CurveState & | currentState () const
void | setInitialState (const CurveState &)

## Detailed Description

Displaced diffusion LMM with uncorrelated vol process. Called "Shifted BGM" with Heston vol by Brac in "Engineering BGM." Vol process is an external input.